
QGIS Application - Bug report #17090

Show/hide rule based styling issue in layers panel

2017-08-30 01:08 PM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24989

Description

I have a simple point data set with 3 points with one attribute - each point has a unique attribute value.

The layer has a ruled-based styling using the attribute to classify the styling.

I can turn on or off each of the three individual styles in the layers panel and this is where the issue appears:

If I turn on or off the third style, it either shows or hides - as expected.

If I turn the first style off it disappears on the map and is unchecked but the second style is also unchecked (but still drawn on the map)

when hovering it afterwards.

If I turn the second style off, it is unchecked but still drawn on the map, however the feature corresponding to the first style is not drawn on

the map and the first style is unchecked when hovering it afterwards.

I have attached the data set and the corresponding QGIS project.

History

#1 - 2017-08-30 03:36 PM - Casper Børgesen

I can add that the cause isn't plugin related, since I tried reproducing the issue after deleting the ".qgis2" folder - and the issue persist.

An annoying workaround is to use the style panel to turn styling on and off, since it isn't affected by the issue. But the layer panel and the style panel

desyncronises then. Turning on and off the first style in the style panel, checks and unchecks the first two styles in the layer panel, though the map is

correctly drawn.

#2 - 2017-08-30 03:46 PM - Giovanni Manghi

- Category changed from GUI to Map Legend

- Operating System deleted (windows 10 x64)

Seen also on Linux. Did it worked as expected on the previous LTRs (2.14 or 2.8)?

#3 - 2017-08-30 03:46 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2017-08-30 09:51 PM - Casper Børgesen

Giovanni Manghi wrote:
Seen also on Linux. Did it worked as expected on the previous LTRs (2.14 or 2.8)?

I have just checked 2.18.8 on Windows 7, x64 and it also has issues. I will try the old 2.14 LTR tomorrow.

#5 - 2017-08-31 08:11 AM - Casper Børgesen

- Status changed from Feedback to Open

Giovanni Manghi wrote:

Seen also on Linux. Did it worked as expected on the previous LTRs (2.14 or 2.8)?

I also experience the issue in 2.14.18 on Windows 10, x64.

#6 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-01-21 09:06 AM - Casper Børgesen

Jürgen Fischer wrote:

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

Test done and it seems to work just fine in 3.4 and MASTER.

Please close this issue.

#8 - 2019-01-21 10:39 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

dataset.gpkg 116 KB 2017-08-30 Casper Børgesen

project.qgs 11.3 KB 2017-08-30 Casper Børgesen
